<template>
  <div class="wrapper">
    <div class="heading">
      <h1>Manager Dashboard</h1>
      <div class="search">
        <input
          type="text"
          name="name"
          id="nakme"
          v-model="creatorName"
          placeholder="Search Creator.."
        />
        <i @click="toggleCreatorForm(true)" class="fa-solid fa-plus"></i>
      </div>
    </div>
    <p>Click on the row to check Creator's Campaigns</p>
    <div class="table">
      <table>
        <tr style="background: #0072ff; color: white">
          <th colspan="9">Creator Details</th>
        </tr>
        <tr style="font-weight: 500; color: #0072ff">
          <!-- Creator Details -->
          <td>Name</td>
          <td>Phone No.</td>
          <td>Email</td>
          <td>Address</td>
          <td>Niche</td>
          <td>Acti. Status</td>
          <td>Store Link</td>
          <td colspan="2">GMV</td>
        </tr>
        <!-- <tr>
          <td>
            <input
              type="text"
              placeholder="Search by Name"
              v-model="creatorName"
            />
          </td>
          <td>
            <input
              type="number"
              placeholder="Search by Number"
              v-model="creatorNumber"
            />
          </td>
          <td>
            <input
              type="email"
              placeholder="Search by Email"
              v-model="creatorEmail"
            />
          </td>
          <td><input type="text" placeholder="Search by Address" /></td>
          <td>
            <input
              type="text"
              placeholder="Search by Niche"
              v-model="creatorNiche"
            />
          </td>
          <td>
            <select name="activation-status" id="activation-status">
              <option value="yes">Yes</option>
              <option value="no">No</option>
            </select>
          </td>
          <td>
            <input
              type="text"
              name="store_link"
              id="store_link"
              placeholder="Store Link"
            />
          </td>
          <td>
            <input type="number" name="gmv" id="gmv" placeholder="GMV" />
          </td>
        </tr> -->

        <!-- Creator Details -->
        <tr
          v-for="creator in allCreators"
          :key="creator._id"
          v-show="this.checkConditions(creator)"
          class="creators"
        >
          <td>
            <router-link :to="`creator_id=` + creator._id">
              {{ creator.name }}
            </router-link>
          </td>
          <td>
            <a
              :href="
                `https://wa.me/91` +
                7589186663 +
                `?text=Hi! ` +
                creator.name +
                `, Here's a list of products you can choose from`
              "
              target="_blank"
              >{{ creator.phone_number }}</a
            >
          </td>
          <td>
            <a :href="`mailto:` + creator?.email.toLowerCase()">{{
              creator.email.toLowerCase()
            }}</a>
          </td>
          <td>{{ creator.address }}</td>
          <td>{{ creator.category }}</td>
          <td style="text-align: center">
            {{ creator.activation_store ? "Yes" : "No" }}
          </td>
          <td>
            <a
              :href="`https://www.hypd.store/i/${creator.name
                .toLowerCase()
                .replace(' ', '_')}`"
              target="_blank"
              >{{ ` Store` }}</a
            >
          </td>
          <td>{{ creator.gmv ? creator.gmv : 0 }}</td>
          <td>
            <i @click="toggleCreatorForm(true)" class="fa-solid fa-pencil"></i>
          </td>
        </tr>
      </table>
    </div>
  </div>
</template>

<script>
import { mapActions, mapGetters } from "vuex";
export default {
  name: "ManagerComponent",
  data() {
    return {
      creatorName: "",
      creatorNumber: "",
      creatorEmail: "",
      creatorNiche: "",
    };
  },
  methods: {
    ...mapActions(["fetchCreators", "toggleCreatorForm"]),
    checkConditions(creator) {
      if (creator.name.toLowerCase().includes(this.creatorName.toLowerCase())) {
        return true;
      }
    },
  },
  computed: mapGetters(["allCreators", "createCreator"]),
  async created() {
    await this.fetchCreators();
  },
};
</script>

<style>
th {
  border-collapse: collapse;
  padding: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
td {
  padding: 6px;
  cursor: pointer;
  border-collapse: collapse;
}

table {
  border-collapse: separate;
  border-radius: 10px;
}
tr {
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 10px;
  background: #f9f9f9;
}

.creators:hover {
  background: rgb(18, 54, 83);
  color: white;
}

.creators:hover a {
  color: white;
}

/* Heading Style */
.heading {
  display: grid;
  grid-template-columns: 50% 20% auto;
  align-items: center;
}

.heading input {
  background: rgb(235, 233, 233);
  color: rgb(32, 32, 32);
  outline: none;
  border: none;
  border-radius: 20px;
  padding: 0.75rem;
}

a {
  color: black;
  text-decoration: none;
}

.search {
  display: flex;
  gap: 20px;
  align-items: center;
}

.search i {
  padding: 10px;
  background: #0027f0;
  border-radius: 50%;
  color: white;
  cursor: pointer;
}

.search i:hover {
  opacity: 80%;
}
</style>

